[mplayer-plugin-for-mozilla]就要疯了

为当前最终发行版之前的所有版本提供支持
回复
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

[mplayer-plugin-for-mozilla]就要疯了

#1

帖子 aBiNg » 2006-07-10 1:46

我已成功安装mplayer,几乎能播放WIN下的任何影音文件,但用FIREFOX却不用在线播放任何媒体!
据说有个mplayer plugin for mozilla的,立刻去下载之,安装,却出现了复杂情况。。。
我使用了MAOSI(拼音^^)简捷的命令步骤:sudo apt-get install mozilla-dev
并成功安装了mozilla-dev
然后下载最新的mplayer plugin for mozilla,解压,cd进入目录
然后./configure之后的输出为:
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for a BSD-compatible install... /usr/bin/install -c
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for pkg-config... /usr/bin/pkg-config
checking for mozilla-plugin... yes
checking MOZPLUG_CFLAGS... -I/usr/include/mozilla/java -I/usr/include/mozilla/plugin -I/usr/include/mozilla -I/usr/include/mozilla/xpcom -I/usr/include/mozilla/string -I/usr/include/mozilla/nspr
checking MOZPLUG_LIBS... -L/usr/lib/mozilla -lxpcom -lplds4 -lplc4 -lnspr4 -ldl -lc -lpthread
checking for gtk+-2.0... configure: WARNING: *** Running in X mode - Limited Features ***
checking for gthread-2.0... configure: error: Missing gthread package

接下来就显然不能make了,更别谈sudo make install了。。。
立刻去找gthread package
ubuntu软件包里没结果,到百度,google也没结果,各大论坛也没结果,晕哈子先~~
不晓得到底是啥子问题。。。
我是新手,急请高人指教一二。谢了先~~
上次由 aBiNg 在 2007-12-31 13:17,总共编辑 2 次。
种草得草
帖子: 340
注册时间: 2005-12-31 12:17
送出感谢: 0
接收感谢: 0

#2

帖子 种草得草 » 2006-07-10 7:49

源里面有,直接apt-get 就可以了。
(现在世界杯已经结束了,意大利win了)
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#3

帖子 aBiNg » 2006-07-10 13:32

sudo apt-get gthread (package)
output:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 无法找到软件包 gthread


怎么办呢?thx...

aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#4

帖子 aBiNg » 2006-07-10 16:43

到底该怎么办呢?在线音乐听不了,视频看不了,晕!
逛了N多论坛,每次执行命令时,不是少这个就是少那个,然后去找软件包,却没有结果。
上次由 aBiNg 在 2006-11-06 9:14,总共编辑 1 次。
头像
Einhorn
帖子: 114
注册时间: 2006-04-29 10:24
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 Einhorn » 2006-09-14 0:55

我也遇到这问题了,不知该如何解决?
头像
Einhorn
帖子: 114
注册时间: 2006-04-29 10:24
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 Einhorn » 2006-09-14 0:55

我也遇到这问题了,不知该如何解决?
引火虫
帖子: 750
注册时间: 2006-08-28 9:08
来自: 安徽/安庆
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 引火虫 » 2006-09-14 8:21

我用Mozilla Firefox ,
可看小部分网站的在线电影。
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 zhuqin_83 » 2006-09-14 8:42

sudo apt-get install mozilla-mplayer
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
steven820218
帖子: 23
注册时间: 2006-06-29 16:39
送出感谢: 0
接收感谢: 0

#9

帖子 steven820218 » 2006-09-14 9:05

如果网页设置只支持windows播放的话,你装再多的插件都没用。
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#10

帖子 aBiNg » 2006-09-14 9:32

这个问题早解决了:lol:
FF-1.5的有mediawrap播放插件,但FF-2.0B1的尚没出来...
回复

回到 “老旧版本支持”